


if exists (select * from sysobjects where id = object_id(N'p_ExtractStringWord') and type = N'P')
begin
	drop Procedure p_ExtractStringWord
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

Create Procedure dbo.p_ExtractStringWord(
	@strDelimiter nvarchar(255),
	@strSource nvarchar(4000)  output,
	@strWord nvarchar(4000) output
) 
as
	declare @i int
	
	select @i=CharIndex(@strDelimiter, @strSource)
	if @i = 0
	begin
		select @strWord = @strSource
		
		select @strSource = ''
	end
	else
	begin
		select @strWord = SubString(@strSource, 1, @i-1)
		
		select @strSource = SubString(@strSource, @i+1, Len(@strSource))
	end
GO

if exists (select * from sysobjects where id = object_id(N'procGetSQLValue') and type = N'P')
begin
	drop Procedure procGetSQLValue
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
/* 
2017-06-06 Light Create
*/
Create Procedure dbo.procGetSQLValue(
	@strSQL nvarchar(2048),
	@strValue nvarchar(2048) output
) 
as -- exec procGetSQLValue 'select * from '
	select @strValue=''
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#t'))
		drop table #t
	Create table #t(strValue nvarchar(2048) null)
	
	exec('insert into #t(strValue) '+@strSQL)
	
	select @strValue=IsNull(strValue,'') from #t
	
	drop table #t
GO


if exists (select * from sysobjects where id = object_id(N'p_UpdateInventoryProductionDate') and type = N'P')
begin
	drop Procedure p_UpdateInventoryProductionDate
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create Procedure dbo.p_UpdateInventoryProductionDate(
	@TableName varchar(255),
	@OrderNo bigint,
	@WarehouseNo int,
	@QuantityField varchar(255),
	@UpdateInventoryFlag int,
	@AllowNegativeInventory int,
	@ReturnSKU nvarchar(512) output,
	@ReturnMsg nvarchar(2048) output
) 
as -- select @TableName='', @OrderNo ='', @WarehouseNo= , @QuantityField ='Quantity', @UpdateInventoryFlag =1, @AllowNegativeInventory =1
	declare @strSQL varchar(2048)
	select @ReturnSKU='', @ReturnMsg=''
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
	
	CREATE TABLE #temp(
		GoodsNo int NULL,
		ColorNo int NULL,
		SizeNo int NULL,
		ProductionDate datetime,
		Quantity numeric(18, 3),
	)
	
	select @strSQL='
	insert into #temp(GoodsNo, ColorNo, SizeNo,ProductionDate,Quantity)
	select GoodsNo, ColorNo, SizeNo,ProductionDate,sum('+@QuantityField+') as Quantity 
	from '+@TableName+'
	where OrderNo='+cast(@OrderNo as varchar)+' and ProductionDate is not null
	group by GoodsNo, ColorNo, SizeNo,ProductionDate'
	exec(@strSQL)
	
	delete from #temp where IsNull(Quantity,0)=0
	
	if not exists(select * from #temp)
		Return
	
	select @strSQL='
	insert into InventoryProductionDate(WarehouseNo,GoodsNo, ColorNo, SizeNo,ProductionDate)
	select '+cast(@WarehouseNo as varchar)+' as WarehouseNo, a.GoodsNo, a.ColorNo, a.SizeNo, a.ProductionDate 
	from #temp a
		left join InventoryProductionDate b on '+cast(@WarehouseNo as varchar)+'=b.WarehouseNo and a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo and a.ProductionDate=b.ProductionDate
	where b.GoodsNo is null'
	exec(@strSQL)
	
	select @strSQL='
	update a set Quantity=IsNull(a.Quantity,0)'+(case when IsNull(@UpdateInventoryFlag,0)=1 then '+' else '-' end)+'IsNull(b.Quantity,0)
	from InventoryProductionDate a
		inner join #temp b on a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo and a.ProductionDate=b.ProductionDate
	where a.WarehouseNo='+cast(@WarehouseNo as varchar)+' and b.GoodsNo is not null'
	exec(@strSQL)
	
	delete from InventoryProductionDate where IsNull(Quantity,0)=0
	
	if @AllowNegativeInventory <> 1 and IsNull(@UpdateInventoryFlag,0)<>1
	begin
		select top 1 @ReturnSKU=cast(a.GoodsNo as varchar)+','+cast(a.ColorNo as varchar)+','+cast(a.SizeNo as varchar) +','+
			convert(char(10), a.ProductionDate, 120), @ReturnMsg='NoEnoughInventory'
		from InventoryProductionDate a
			inner join #temp b on a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo and a.ProductionDate=b.ProductionDate
		where a.WarehouseNo=@WarehouseNo and IsNull(a.Quantity,0)<0

		if @ReturnMsg=''
		begin
			delete from #temp
			
			select @strSQL='
			insert into #temp(GoodsNo, ColorNo, SizeNo, Quantity)
			select GoodsNo, ColorNo, SizeNo,sum('+@QuantityField+') as Quantity 
			from '+@TableName+'
			where OrderNo='+cast(@OrderNo as varchar)+'
			group by GoodsNo, ColorNo, SizeNo'
			exec(@strSQL)
			
			delete from #temp where IsNull(Quantity,0)<=0
			
			select top 1 @ReturnSKU=cast(a.GoodsNo as varchar)+','+cast(a.ColorNo as varchar)+','+cast(a.SizeNo as varchar),
				@ReturnMsg='GoodsWithoutProductionDate'
			from (
					select a.GoodsNo, a.ColorNo, a.SizeNo,sum(a.Quantity) as Quantity
					from InventoryProductionDate a
						inner join #temp c on a.GoodsNo=c.GoodsNo and a.ColorNo=c.ColorNo and a.SizeNo=c.SizeNo
					where a.WarehouseNo=@WarehouseNo
					group by a.GoodsNo, a.ColorNo, a.SizeNo
				) a
				inner join Inventory b on @WarehouseNo=b.WarehouseNo and a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo
			where IsNull(a.Quantity,0) > IsNull(b.Quantity,0)
		end
	end
	
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
	
GO




if exists (select * from sysobjects where id = object_id(N'p_SaveUniqueCodeLog') and type = N'P')
begin
	drop Procedure p_SaveUniqueCodeLog
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create Procedure dbo.p_SaveUniqueCodeLog(
	@ModuleNo int,
	@TableName varchar(255),
	@DetailTableName varchar(255),
	@OrderNo bigint,
	@WarehouseNo int,
	@UpdateInventoryFlag int,
	@AuditDateField varchar(255),
	@QuantityField varchar(255),
	@ReturnUniqueCode varchar(255) output,
	@ReturnMsg nvarchar(2048) output
) 
as -- select @ModuleNo=, @TableName='', @OrderNo = , @WarehouseNo= , @UpdateInventoryFlag = 1, @AuditDateField='AuditDate', @QuantityField='Quantity'
	declare @strSQL varchar(3072)
	select @ReturnUniqueCode=''
	select @ReturnMsg=''
	
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
		
	select *, WarehouseNo as LastWarehouseNo
	into #temp from UniqueCodeLog where 1=2
	
	select @strSQL='
	insert into #temp(SerialNo,UniqueCode,ModuleNo,OrderNo,WarehouseNo,AuditDate,Quantity,LastWarehouseNo)
	select 0 as SerialNo,b.UniqueCode,'+cast(@ModuleNo as varchar)+' as ModuleNo,b.OrderNo,
		'+cast(@WarehouseNo as varchar)+' as WarehouseNo,a.'+@AuditDateField+' as AuditDate,
		IsNull(l.Quantity,0)+'+cast(@UpdateInventoryFlag as varchar)+' as Quantity,
		IsNull(l.WarehouseNo,0) as LastWarehouseNo
	from '+@TableName+' a
		left join '+@DetailTableName+' b on a.OrderNo=b.OrderNo
		left join (
			select UniqueCode,Max(SerialNo) as SerialNo 
			from UniqueCodeLog 
			group by UniqueCode
		) u on b.UniqueCode=u.UniqueCode
		left join UniqueCodeLog l on b.UniqueCode=l.UniqueCode and u.SerialNo=l.SerialNo
	where b.OrderNo='+cast(@OrderNo as varchar)+' and b.UniqueCode is not null and b.UniqueCode <> '''' and IsNull(b.'+@QuantityField+',0)=1'
	exec(@strSQL)

	select top 1 @ReturnUniqueCode=a.UniqueCode 
	from #temp a
	where Quantity<>0 and Quantity<>1
	
	
	if (@ReturnUniqueCode<>'')
	begin
		if (@UpdateInventoryFlag=1)
		begin
			select @ReturnMsg='UniqueCodeAlreadyInWarehouseSoCanNotTakeInto'
		end
		else if (@UpdateInventoryFlag=-1)
		begin
			select @ReturnMsg='UniqueCodeNotInWarehouseSoCanNotTakeOut'
		end
		Return
	end
	if (@UpdateInventoryFlag=-1)
	begin
		select top 1 @ReturnUniqueCode=a.UniqueCode 
		from #temp a
		where WarehouseNo<>LastWarehouseNo
		
		if (@ReturnUniqueCode<>'')
		begin
			select @ReturnMsg='UniqueCodeNotInWarehouseSoCanNotTakeOut'
			Return
		end
	end
	
	declare @i int
	select @i=max(SerialNo) from UniqueCodeLog
	select @i=IsNull(@i,0)
	
	update #temp set @i=@i+1, SerialNo=@i
	
	insert into UniqueCodeLog(SerialNo,UniqueCode,ModuleNo,OrderNo,WarehouseNo,AuditDate,Quantity)
	select SerialNo,UniqueCode,ModuleNo,OrderNo,WarehouseNo,AuditDate,Quantity
	from #temp
	
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
		
GO





if exists (select * from sysobjects where id = object_id(N'p_DeleteUniqueCodeLog') and type = N'P')
begin
	drop Procedure p_DeleteUniqueCodeLog
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create Procedure dbo.p_DeleteUniqueCodeLog(
	@ModuleNo int,
	@OrderNo bigint,
	@ReturnModuleNo int output,
	@ReturnOrderNo bigint output,
	@ReturnUniqueCode varchar(255) output,
	@ReturnMsg nvarchar(2048) output
) 
as -- select @ModuleNo= , @OrderNo = 

	select @ReturnModuleNo=0, @ReturnOrderNo='', @ReturnUniqueCode='', @ReturnMsg=''	
	
	select top 1 @ReturnModuleNo = l.ModuleNo, @ReturnOrderNo = l.OrderNo, @ReturnUniqueCode = a.UniqueCode
	from UniqueCodeLog a
		inner join (
			select UniqueCode,Max(SerialNo) as SerialNo 
			from UniqueCodeLog 
			group by UniqueCode
		) b on a.UniqueCode=b.UniqueCode
		inner join UniqueCodeLog l on a.UniqueCode=l.UniqueCode and a.SerialNo=l.SerialNo
	where a.ModuleNo=@ModuleNo and a.OrderNo=@OrderNo and a.SerialNo < b.SerialNo
	
	if (@ReturnUniqueCode<>'')
	begin
		select @ReturnMsg='UniqueCodeUsedByAnotherOrder'
		Return
	end
	Delete from UniqueCodeLog where ModuleNo=@ModuleNo and OrderNo=@OrderNo
	
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
GO




if exists (select * from sysobjects where id = object_id(N'p_InventoryInsertIntoCheckAllInventoryOrder') and type = N'P')
begin
	drop Procedure p_InventoryInsertIntoCheckAllInventoryOrder
end
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create Procedure dbo.p_InventoryInsertIntoCheckAllInventoryOrder(
	@OrderNo bigint
) as -- select @OrderNo=''
	declare @WarehouseNo int
	
	if exists (select * from tempdb.dbo.sysobjects where id = object_id(N'tempdb..#temp'))
		drop table #temp
		
	select @WarehouseNo=WarehouseNo from CheckAllInventoryOrder where OrderNo=@OrderNo
	
	CREATE TABLE #temp(
		SerialNo int,
		GoodsNo int NULL,
		ColorNo int NULL,
		SizeNo int NULL,
		UniqueCode nvarchar(255) NULL,
		ProductionDate datetime,
		InventoryQuantity numeric(18, 3),
	)
	
	insert into #temp(GoodsNo, ColorNo, SizeNo,ProductionDate,InventoryQuantity)
	select GoodsNo, ColorNo, SizeNo,ProductionDate,Quantity 
	from InventoryProductionDate a
	where WarehouseNo=@WarehouseNo and IsNull(a.Quantity ,0)<>0
	
	insert into #temp(GoodsNo, ColorNo, SizeNo,UniqueCode,InventoryQuantity)
	select c.GoodsNo, c.ColorNo, c.SizeNo,a.UniqueCode,a.Quantity 
	from UniqueCodeLog a
		inner join (
			select UniqueCode, max(SerialNo) as SerialNo
			from UniqueCodeLog
			group by UniqueCode
		) b on a.UniqueCode=b.UniqueCode and a.SerialNo=b.SerialNo 
		left join GoodsUniqueCode c on a.UniqueCode=c.UniqueCode 
	where a.WarehouseNo=@WarehouseNo and IsNull(a.Quantity ,0)<>0
	
	insert into #temp(GoodsNo, ColorNo, SizeNo,InventoryQuantity)
	select a.GoodsNo, a.ColorNo, a.SizeNo, IsNull(a.Quantity,0)-IsNull(b.InventoryQuantity,0) as InventoryQuantity
	from Inventory a
		left join (
			select GoodsNo, ColorNo, SizeNo,sum(InventoryQuantity) as InventoryQuantity from #temp group by GoodsNo, ColorNo, SizeNo
		) b on a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo
	where a.WarehouseNo=@WarehouseNo and IsNull(a.Quantity,0) > IsNull(b.InventoryQuantity,0)
	
	delete from a
	from #temp a
		inner join CheckAllInventoryOrderDetail b on b.OrderNo=@OrderNo and a.UniqueCode=b.UniqueCode
	where b.OrderNo=@OrderNo

	delete from a
	from #temp a
		inner join CheckAllInventoryOrderDetail b on b.OrderNo=@OrderNo and a.GoodsNo=b.GoodsNo and a.ColorNo=b.ColorNo and a.SizeNo=b.SizeNo
			and (a.ProductionDate is null and b.ProductionDate is null or a.ProductionDate=b.ProductionDate)
	where b.OrderNo=@OrderNo and IsNull(a.UniqueCode,'')=''
	
	declare @i int
	select @i = max(SerialNo) from CheckAllInventoryOrderDetail where OrderNo=@OrderNo
	select @i = IsNull(@i, 0)
	
	update #temp set @i=@i+1, SerialNo=@i 
	
	insert into CheckAllInventoryOrderDetail(OrderNo,SerialNo,GoodsNo, ColorNo, SizeNo,UniqueCode,InventoryQuantity,ProductionDate)
	select @OrderNo, SerialNo, GoodsNo, ColorNo, SizeNo,UniqueCode,InventoryQuantity,ProductionDate
	from #temp a
	
	drop table #temp
	
GO




