
if not exists (select * from dbo.sysobjects where id = object_id('Country'))
begin
	CREATE TABLE dbo.Country(
		CountryNo int NOT NULL,
		CountryCode nvarchar(64) NOT NULL,	
		CountryName nvarchar(127) NOT NULL,
		CurrencyCode nchar(8) NULL,
		TelephoneCode nvarchar(8) NULL,
		
		Remark nvarchar(255) NULL,
		StopFlag bit NULL,
		SystemFlag bit NULL,
		EditDate datetime NULL,
		TableEditCount int null,
		CONSTRAINT PK_Country PRIMARY KEY CLUSTERED (CountryNo ASC),
		CONSTRAINT IX_Country_CountryCode UNIQUE NONCLUSTERED (CountryCode ASC),
		--CONSTRAINT IX_Country_CountryName UNIQUE NONCLUSTERED (CountryName ASC),
	)
	create NONCLUSTERED INDEX IX_Country_TableEditCount on Country(TableEditCount)
end
GO

if not exists (select * from dbo.sysobjects where id = object_id('Province'))
begin
	CREATE TABLE dbo.Province(
		ProvinceNo int NOT NULL,
		ProvinceCode nvarchar(64) NOT NULL,	
		ProvinceName nvarchar(127) NOT NULL,
		CountryNo int NULL,
		TelephoneCode nvarchar(8) NULL,
		
		Remark nvarchar(255) NULL,
		StopFlag bit NULL,
		SystemFlag bit NULL,
		EditDate datetime NULL,
		TableEditCount int null,
		CONSTRAINT PK_Province PRIMARY KEY CLUSTERED (ProvinceNo ASC),
		CONSTRAINT IX_Province_ProvinceCode UNIQUE NONCLUSTERED (ProvinceCode ASC),
	)
		CREATE NONCLUSTERED INDEX IX_Province_TableEditCount ON Province(TableEditCount)
end
GO




GO
if not exists (select * from Country where CountryNo = 1)
	insert into Country(CountryNo,CountryCode,CountryName,TelephoneCode,SystemFlag) select 1,'cn',N'й','86',1
GO
if not exists (select * from Country where CountryNo = 2)
	insert into Country(CountryNo,CountryCode,CountryName,TelephoneCode,SystemFlag) select 2,'us',N'','1',1
GO


	if not exists (select * from Province where ProvinceNo = 11)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 11,'BeiJing',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 12)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 12,'TianJin',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 13)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 13,'HeBei',N'ӱ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 14)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 14,'ShanXi',N'ɽ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 15)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 15,'NeiMengGu',N'ɹ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	
	if not exists (select * from Province where ProvinceNo = 21)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 21,'LiaoNing',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 22)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 22,'JiLin',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 23)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 23,'HeiLongJiang',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 31)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 31,'ShangHai',N'Ϻ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 32)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 32,'JiangSu',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 33)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 33,'ZheJiang',N'㽭',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 34)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 34,'AnHui',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 35)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 35,'FuJian',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 36)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 36,'JiangXi',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 37)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 37,'ShanDong',N'ɽ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 41)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 41,'HeNan',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 42)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 42,'HuBei',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 43)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 43,'HuNan',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 44)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 44,'GuangDong',N'㶫',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 45)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 45,'GuangXi',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 46)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 46,'HaiNan',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 51)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 51,'SiChuan',N'Ĵ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 50)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 50,'ChongQing',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 52)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 52,'GuiZhou',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 53)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 53,'YunNan',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 54)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 54,'XiZang',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 61)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 61,'ShaanXi',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 62)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 62,'GanSu',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 63)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 63,'QingHai',N'ຣ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 64)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 64,'NingXia',N'',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	if not exists (select * from Province where ProvinceNo = 65)
		insert into Province(CountryNo,ProvinceNo,ProvinceCode,ProvinceName,EditDate,SystemFlag) 
		select 1, 65,'XinJiang',N'½',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
	GO
	
	
if not exists (select * from City where CityNo = 1101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 11,1101,1101,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 12,1201,1201,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 1301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1301,1301,N'ʯׯ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1302)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1302,1302,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1303)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1303,1303,N'ػʵ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1304)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1304,1304,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1305)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1305,1305,N'̨',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1306)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1306,1306,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1307)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1307,1307,N'żҿ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1308)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1308,1308,N'е',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1309)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1309,1309,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1310)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1310,1310,N'ȷ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1311)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1311,1311,N'ˮ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1390)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 13,1390,1390,N'ӱʡֱϽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 1401)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1401,1401,N'̫ԭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1402)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1402,1402,N'ͬ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1403)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1403,1403,N'Ȫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1404)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1404,1404,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1405)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1405,1405,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1406)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1406,1406,N'˷',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1407)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1407,1407,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1408)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1408,1408,N'˳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1409)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1409,1409,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1410)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1410,1410,N'ٷ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1411)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 14,1411,1411,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 1501)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1501,1501,N'ͺ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1502)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1502,1502,N'ͷ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1503)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1503,1503,N'ں',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1504)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1504,1504,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1505)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1505,1505,N'ͨ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1506)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1506,1506,N'˹',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1507)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1507,1507,N'ױ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1508)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1508,1508,N'׶',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1509)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1509,1509,N'첼',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1522)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1522,1522,N'˰',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1525)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1525,1525,N'ֹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 1529)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 15,1529,1529,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 2101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2101,2101,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2102)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2102,2102,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2103)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2103,2103,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2104)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2104,2104,N'˳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2105)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2105,2105,N'Ϫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2106)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2106,2106,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2107)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2107,2107,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2108)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2108,2108,N'Ӫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2109)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2109,2109,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2110)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2110,2110,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2111)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2111,2111,N'̽',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2112)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2112,2112,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2113)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2113,2113,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2114)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 21,2114,2114,N'«',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 2201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2201,2201,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2202)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2202,2202,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2203)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2203,2203,N'ƽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2204)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2204,2204,N'Դ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2205)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2205,2205,N'ͨ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2206)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2206,2206,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2207)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2207,2207,N'ԭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2208)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2208,2208,N'׳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2224)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 22,2224,2224,N'ӱ߳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 2301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2301,2301,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2302)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2302,2302,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2303)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2303,2303,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2304)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2304,2304,N'׸',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2305)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2305,2305,N'˫Ѽɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2306)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2306,2306,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2307)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2307,2307,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2308)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2308,2308,N'ľ˹',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2309)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2309,2309,N'̨',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2310)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2310,2310,N'ĵ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2311)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2311,2311,N'ں',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2312)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2312,2312,N'绯',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 2327)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 23,2327,2327,N'˰',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 31,3101,3101,N'Ϻ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3201,3201,N'Ͼ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3202)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3202,3202,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3203)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3203,3203,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3204)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3204,3204,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3205)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3205,3205,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3206)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3206,3206,N'ͨ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3207)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3207,3207,N'Ƹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3208)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3208,3208,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3209)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3209,3209,N'γ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3210)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3210,3210,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3211)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3211,3211,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3212)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3212,3212,N'̩',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3213)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 32,3213,3213,N'Ǩ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3301,3301,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3302)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3302,3302,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3303)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3303,3303,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3304)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3304,3304,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3305)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3305,3305,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3306)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3306,3306,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3307)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3307,3307,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3308)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3308,3308,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3309)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3309,3309,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3310)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3310,3310,N'̨',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3311)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 33,3311,3311,N'ˮ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3401)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3401,3401,N'Ϸ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3402)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3402,3402,N'ߺ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3403)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3403,3403,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3404)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3404,3404,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3405)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3405,3405,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3406)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3406,3406,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3407)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3407,3407,N'ͭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3408)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3408,3408,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3410)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3410,3410,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3411)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3411,3411,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3412)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3412,3412,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3413)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3413,3413,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3415)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3415,3415,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3416)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3416,3416,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3417)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3417,3417,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3418)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 34,3418,3418,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3501)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3501,3501,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3502)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3502,3502,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3503)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3503,3503,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3504)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3504,3504,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3505)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3505,3505,N'Ȫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3506)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3506,3506,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3507)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3507,3507,N'ƽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3508)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3508,3508,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3509)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 35,3509,3509,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3601)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3601,3601,N'ϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3602)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3602,3602,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3603)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3603,3603,N'Ƽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3604)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3604,3604,N'Ž',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3605)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3605,3605,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3606)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3606,3606,N'ӥ̶',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3607)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3607,3607,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3608)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3608,3608,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3609)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3609,3609,N'˴',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3610)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3610,3610,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3611)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 36,3611,3611,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 3701)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3701,3701,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3702)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3702,3702,N'ൺ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3703)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3703,3703,N'Ͳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3704)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3704,3704,N'ׯ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3705)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3705,3705,N'Ӫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3706)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3706,3706,N'̨',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3707)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3707,3707,N'Ϋ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3708)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3708,3708,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3709)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3709,3709,N'̩',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3710)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3710,3710,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3711)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3711,3711,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3712)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3712,3712,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3713)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3713,3713,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3714)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3714,3714,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3715)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3715,3715,N'ĳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3716)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3716,3716,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 3717)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 37,3717,3717,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4101,4101,N'֣',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4102)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4102,4102,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4103)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4103,4103,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4104)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4104,4104,N'ƽɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4105)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4105,4105,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4106)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4106,4106,N'ױ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4107)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4107,4107,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4108)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4108,4108,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4109)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4109,4109,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4110)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4110,4110,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4111)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4111,4111,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4112)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4112,4112,N'Ͽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4113)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4113,4113,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4114)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4114,4114,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4115)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4115,4115,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4116)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4116,4116,N'ܿ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4117)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4117,4117,N'פ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4190)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 41,4190,4190,N'ʡֱϽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4201,4201,N'人',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4202)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4202,4202,N'ʯ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4203)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4203,4203,N'ʮ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4205)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4205,4205,N'˲',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4206)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4206,4206,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4207)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4207,4207,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4208)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4208,4208,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4209)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4209,4209,N'Т',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4210)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4210,4210,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4211)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4211,4211,N'Ƹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4212)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4212,4212,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4213)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4213,4213,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4228)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4228,4228,N'ʩ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4290)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 42,4290,4290,N'ʡֱϽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4301,4301,N'ɳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4302)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4302,4302,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4303)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4303,4303,N'̶',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4304)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4304,4304,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4305)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4305,4305,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4306)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4306,4306,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4307)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4307,4307,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4308)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4308,4308,N'żҽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4309)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4309,4309,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4310)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4310,4310,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4311)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4311,4311,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4312)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4312,4312,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4313)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4313,4313,N'¦',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4331)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 43,4331,4331,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4401)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4401,4401,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4402)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4402,4402,N'ع',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4403)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4403,4403,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4404)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4404,4404,N'麣',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4405)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4405,4405,N'ͷ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4406)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4406,4406,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4407)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4407,4407,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4408)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4408,4408,N'տ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4409)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4409,4409,N'ï',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4412)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4412,4412,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4413)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4413,4413,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4414)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4414,4414,N'÷',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4415)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4415,4415,N'β',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4416)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4416,4416,N'Դ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4417)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4417,4417,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4418)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4418,4418,N'Զ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4419)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4419,4419,N'ݸ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4420)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4420,4420,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4451)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4451,4451,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4452)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4452,4452,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4453)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 44,4453,4453,N'Ƹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4501)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4501,4501,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4502)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4502,4502,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4503)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4503,4503,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4504)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4504,4504,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4505)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4505,4505,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4506)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4506,4506,N'Ǹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4507)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4507,4507,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4508)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4508,4508,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4509)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4509,4509,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4510)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4510,4510,N'ɫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4511)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4511,4511,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4512)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4512,4512,N'ӳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4513)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4513,4513,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4514)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 45,4514,4514,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 4601)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 46,4601,4601,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4602)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 46,4602,4602,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4603)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 46,4603,4603,N'ɳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4604)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 46,4604,4604,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 4690)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 46,4690,4690,N'ʡֱϽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 5001)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 50,5001,5001,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5002)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 50,5002,5002,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 5101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5101,5101,N'ɶ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5103)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5103,5103,N'Թ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5104)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5104,5104,N'֦',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5105)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5105,5105,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5106)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5106,5106,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5107)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5107,5107,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5108)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5108,5108,N'Ԫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5109)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5109,5109,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5110)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5110,5110,N'ڽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5111)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5111,5111,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5113)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5113,5113,N'ϳ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5114)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5114,5114,N'üɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5115)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5115,5115,N'˱',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5116)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5116,5116,N'㰲',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5117)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5117,5117,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5118)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5118,5118,N'Ű',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5119)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5119,5119,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5120)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5120,5120,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5132)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5132,5132,N'ӲǼ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5133)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5133,5133,N'β',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5134)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 51,5134,5134,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 5201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5201,5201,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5202)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5202,5202,N'ˮ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5203)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5203,5203,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5204)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5204,5204,N'˳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5205)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5205,5205,N'Ͻ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5206)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5206,5206,N'ͭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5223)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5223,5223,N'ǭϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5226)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5226,5226,N'ǭ嶱',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5227)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 52,5227,5227,N'ǭϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 5301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5301,5301,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5303)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5303,5303,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5304)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5304,5304,N'Ϫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5305)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5305,5305,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5306)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5306,5306,N'ͨ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5307)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5307,5307,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5308)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5308,5308,N'ն',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5309)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5309,5309,N'ٲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5323)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5323,5323,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5325)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5325,5325,N'ӹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5326)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5326,5326,N'ɽ׳',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5328)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5328,5328,N'˫ɴ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5329)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5329,5329,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5331)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5331,5331,N'º徰',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5333)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5333,5333,N'ŭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5334)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 53,5334,5334,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 5401)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5401,5401,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5402)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5402,5402,N'տ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5403)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5403,5403,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5404)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5404,5404,N'֥',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5405)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5405,5405,N'ɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5424)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5424,5424,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 5425)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 54,5425,5425,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 6101)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6101,6101,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6102)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6102,6102,N'ͭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6103)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6103,6103,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6104)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6104,6104,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6105)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6105,6105,N'μ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6106)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6106,6106,N'Ӱ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6107)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6107,6107,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6108)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6108,6108,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6109)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6109,6109,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6110)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 61,6110,6110,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 6201)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6201,6201,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6202)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6202,6202,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6203)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6203,6203,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6204)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6204,6204,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6205)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6205,6205,N'ˮ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6206)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6206,6206,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6207)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6207,6207,N'Ҵ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6208)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6208,6208,N'ƽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6209)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6209,6209,N'Ȫ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6210)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6210,6210,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6211)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6211,6211,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6212)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6212,6212,N'¤',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6229)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6229,6229,N'Ļ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6230)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 62,6230,6230,N'ϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 6301)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6301,6301,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6302)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6302,6302,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6322)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6322,6322,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6323)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6323,6323,N'ϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6325)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6325,6325,N'ϲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6326)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6326,6326,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6327)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6327,6327,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6328)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 63,6328,6328,N'ɹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 6401)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 64,6401,6401,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6402)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 64,6402,6402,N'ʯɽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6403)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 64,6403,6403,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6404)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 64,6404,6404,N'ԭ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6405)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 64,6405,6405,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO

if not exists (select * from City where CityNo = 6501)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6501,6501,N'³ľ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6502)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6502,6502,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6504)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6504,6504,N'³',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6505)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6505,6505,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6523)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6523,6523,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6527)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6527,6527,N'ɹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6528)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6528,6528,N'ɹ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6529)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6529,6529,N'յ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6530)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6530,6530,N'տ¶',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6531)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6531,6531,N'ʲ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6532)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6532,6532,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6540)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6540,6540,N'',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6542)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6542,6542,N'ǵ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6543)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6543,6543,N'̩',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from City where CityNo = 6590)
	insert into City(ProvinceNo,CityNo,CityCode,CityName,TelephoneCode,EditDate,SystemFlag) 
	select 65,6590,6590,N'½ֱϽ',null,convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO


